## speech-tools 2.4~release

=== Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                       Copyright (c) 1996-2014                         ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                                                                       ##
##     Top level Makefile for Edinburgh Speech tools library             ##
##     Authors: Paul Taylor, Simon King, Alan W Black, Richard Caley     ##
##                 and others (see ACKNOWLEDGEMENTS)                     ##
##     Version: 2.4 release December 2014                                ##
##                                                                       ##
###########################################################################

TOP=.
DIRNAME=.
LIB_BUILD_DIRS = audio utils base_class ling_class speech_class sigpr \
             stats grammar intonation
# Development directories are those that contain non-stable code
#DEV_DIRS = $(shell if [ -f DEV_DIRS ]; then cat DEV_DIRS; fi )
BUILD_DIRS = $(LIB_BUILD_DIRS) lib main scripts testsuite bin
TEMPLATE_DIRS=include audio utils base_class base_class/string \
              ling_class speech_class sigpr stats grammar siod
EXTRA_DIRS=siod java rxp wrappers
ALL_DIRS = include $(BUILD_DIRS) $(EXTRA_DIRS) config doc 
VERSION=$(PROJECT_VERSION)
CONFIG=configure configure.in config.sub config.guess \
       missing install-sh mkinstalldirs
FILES=Makefile README INSTALL $(CONFIG)

LOCAL_CLEAN= Build.trace Test.trace Templates.DB

ALL = .config_error .sub_directories

# Try and say if config hasn't been created
config_dummy := $(shell test -f config/config || ( echo '*** '; echo '*** Making default config file ***'; echo '*** '; ./configure; )  >&2)

# force a check on the system file
system_dummy := $(shell $(MAKE) -C $(TOP)/config -f make_system.mak TOP=.. system.mak)

include $(TOP)/config/common_make_rules

dist:	backup
backup:  time-stamp
	 @ $(MAKE) file-list
	 @ sed 's/^\.\///' <FileList | sed 's/^/speech_tools\//' >FileList.all
	 @ (cd ..; tar cvf - `cat speech_tools/FileList.all` speech_tools/.time-stamp | gzip > speech_tools/speech_tools-$(VERSION)-$(PROJECT_STATE).tar.gz)
	 @ $(RM) -f $(TOP)/FileList.all
	 @ ls -l speech_tools-$(VERSION)-$(PROJECT_STATE).tar.gz

time-stamp :
	@ echo speech_tools $(VERSION) >.time-stamp
	@ date >>.time-stamp

minrev:  backup
	@mv speech_tools-$(VERSION).tar.gz speech_tools-$(VERSION).`date +%y%m%d`.tar.gz

tags:
	@ $(RM) -f FileList
	@ $(MAKE) --no-print-directory FileList
	@ etags `grep ".[ch]c*$$" FileList`

test: make_library
	@ $(MAKE) --no-print-directory -C testsuite test

rebuild_and_test:
	$(MAKE) -k clean
	$(MAKE) -k depend
	$(MAKE) -k all >Build.trace 2>&1 
	$(MAKE) -k test >Test.trace 2>&1 
	@if egrep 'FAILED|INCORRECT' Test.trace ;\
		then \
		echo test failed ;\
		exit 1 ;\
	fi
	@if cat Build.trace Test.trace | egrep 'warning:' ;\
		then \
		echo warnings found ;\
		exit 2 ;\
	fi

config/config: config/config.in config.status
	./config.status

configure: configure.in
	autoconf

include $(TOP)/config/rules/top_level.mak
include $(TOP)/config/rules/install.mak

=== doc/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                     Author :  Paul Taylor and Alan W Black            ##
##                     Date   :  July 1997                               ##
##-----------------------------------------------------------------------##
##                                                                       ##
##                    Documentation directory                            ##
##                                                                       ##
##  After Sergio's updates, make doc runs again.  You will need to have  ##
##  doxygen, xsltproc and graphviz installed to run this                 ##
##                                                                       ##
##=======================================================================##
TOP=..
DIRNAME=doc
ALL_DIRS = man images


#EXAMPLE_TO_DOCUMENT=matrix ling track sigpr deq error handle hash kvl \
#	list matrix named_enum pathname string token xml

IMAGES = cstr.gif edcrest.gif est.jpg

DOXYGEN_DOCUMENTATION = bibliography.bib estbaseclass.dox estexec.md \
        estgram.md estintro.md estlicence.md estling.md estmanuals.md \
        estserver.md estsigpr.md estspeechclass.md esttilt.md \
        estutil.md estwagon.md estxml.md index.md

FILES = DoxyFile $(DOXYGEN_DOCUMENTATION) $(IMAGES) Makefile

LOCAL_CLEAN = doxygen

-include $(TOP)/config/common_make_rules

doc:
	(cd $(TOP)/doc/man; make all_dox)
	doxygen $(TOP)/doc/DoxyFile

=== grammar/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
#                     Makefile for grammar classes                        #
#=========================================================================#
TOP=..
DIRNAME=grammar
LIB_BUILD_DIRS = ngram 
ALL_DIRS = $(BUILD_DIRS) scfg wfst
BUILD_DIRS = $(LIB_BUILD_DIRS)

FILES = Makefile

ALL = .sub_directories

include $(TOP)/config/common_make_rules

=== siod/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                       Copyright (c) 1996,1997                         ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
#                                                                         #
# Makefile for siod directory                                             #
#                                                                         #
# Note the siod code in this directory was mostly developed by            #
# PARADIGM ASSOCIATES INCORPORATED, CAMBRIDGE, MASSACHUSETTS.             #
# and hence falls under their copyright                                   #
#                                                                         #
# The editline library comes from Simmule Turner and Rich Salz copyright  #
# 1992 all rights reserved, it was inserted in the standard speech tools  #
# distribution in Dec 1998                                                #
#                                                                         #
# Note that almost all of the files in this directory are free with no    #
# commercial restriction as the as so heavily based on existing free      #
# software                                                                #
#                                                                         #
###########################################################################
TOP=..
DIRNAME=siod
EDITLINEH = siodeditline.h editline.h el_unix.h
OLD_H = EST_SiodServer.h 
H = siodp.h io.h slib_python.h $(EDITLINEH)
TSRCS = siod.cc siod_est.cc
ELSRCS = siodeditline.c el_complete.c editline.c el_sys_unix.c
CSRCS =  siodeditline.c 
OLD_CXXSRCS =  siod_server.cc EST_SiodServer.cc siod_fringe.cc
CXXSRCS = slib.cc \
          slib_core.cc slib_doc.cc slib_file.cc slib_format.cc \
          slib_list.cc slib_math.cc slib_sys.cc slib_server.cc \
          slib_str.cc slib_xtr.cc slib_repl.cc \
          slib_python.cc \
          io.cc trace.cc $(TSRCS)
SRCS = $(CSRCS) $(CXXSRCS)

OBJS = $(CXXSRCS:.cc=.o) $(CSRCS:.c=.o) 

FILES=Makefile siod.mak el_sys_win32.c $(CXXSRCS) $(ELSRCS) $(H)

ALL = .buildlib

include $(TOP)/config/common_make_rules

DEFINES  += $(IO_DEFINES)
INCLUDES += $(IO_INCLUDES)

ifeq (SIOD_PYTHON, $(findstring SIOD_PYTHON, $(INCLUDE_MODULES)))
	MODULE_INCLUDES += $(shell python3-config --includes)
	MODULE_DEFINES += -DEST_SIOD_ENABLE_PYTHON
endif

=== utils/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
#                     Makefile for utility classes                        #
#                                                                         #
#=========================================================================#
TOP=..
DIRNAME=utils

LOCAL_DEFAULT_LIBRARY = estbase

H = 
OLD_TSRCS =  EST_ServiceTable.cc
TSRCS = est_file.cc 
CSRCS = EST_cutils.c EST_error.c walloc.c system_specific_unix.c 
OLD_CPPSRCS = EST_Server.cc EST_FringeServer.cc 
CPPSRCS = cmd_line.cc util_io.cc filetrans.cc cmd_line_aux.cc  \
          EST_swapping.cc $(TSRCS)

SRCS = $(CPPSRCS) $(CSRCS)
OBJS = $(CPPSRCS:.cc=.o) $(CSRCS:.c=.o)
OBJS_eststring = walloc.o
FILES = $(SRCS) $(H) Makefile system_specific_win32.c

LOCAL_INCLUDES =

ALL = .buildlibs

include $(TOP)/config/common_make_rules

EST_cutils.o: EST_cutils.c
	$(CC_COMMAND) -DESTNAME='$(PROJECT_NAME)' -DESTDATE='$(PROJECT_DATE)' -DESTVERSION='$(PROJECT_VERSION)' -DESTLIBDIRC='$(EST_HOME)/lib' -DESTSTATE='$(PROJECT_STATE)' -DESTOSTYPE='$(SYSTEM_TYPE)' EST_cutils.c

=== base_class/inst_tmpl/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
#              Makefile for base class instantiations                     #
#                                                                         #
#   Keeping these as different .o files makes the binaries a lot smaller  #
#                                                                         #
#=========================================================================#
TOP=../..
DIRNAME=base_class/inst_tmpl

LOCAL_DEFAULT_LIBRARY = estbase

TSRCS = list_i_t.cc list_si_t.cc list_f_t.cc list_d_t.cc \
	list_c_t.cc list_s_t.cc \
        list_val_t.cc \
	list_li_t.cc list_vs_t.cc list_vi_t.cc \
	\
	matrix_i_t.cc matrix_si_t.cc matrix_f_t.cc matrix_d_t.cc \
	matrix_s_t.cc \
        matrix_val_t.cc \
	\
	vector_i_t.cc vector_si_t.cc vector_f_t.cc vector_d_t.cc \
	vector_c_t.cc vector_s_t.cc \
        vector_val_t.cc vector_ls_t.cc \
	vector_fvector_t.cc vector_fmatrix_t.cc \
	vector_dvector_t.cc vector_dmatrix_t.cc \
	\
	kvl_fi_t.cc kvl_ii_t.cc kvl_sd_t.cc kvl_sf_t.cc \
        kvl_ss_t.cc kvl_si_t.cc kvl_sv_t.cc kvl_rs_t.cc kvl_vpi_t.cc \
	\
	hash_fi_t.cc hash_ii_t.cc hash_sd_t.cc hash_sf_t.cc \
        hash_ss_t.cc hash_si_t.cc hash_sv_t.cc hash_iv_t.cc \
        hash_sfmp_t.cc hash_srp.cc \
	\
	tbuffer_t.cc \
	\
	deq_s_t.cc deq_i_t.cc \
	\

#	kvl_srcfmp_t.cc kvl_scsmm_t.cc matrix_c_t.cc 

CPPSRCS = $(TSRCS)

SRCS = $(CPPSRCS)
OBJS = $(CPPSRCS:.cc=.o)
FILES = $(SRCS) Makefile timeindex_tr.cc


ALL = .buildlib $(BUILD_DIRS)

include $(TOP)/config/common_make_rules

=== base_class/string/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
#                     Makefile for string class library                   #
#                                                                         #
#=========================================================================#

TOP=../..
DIRNAME=base_class/string

H = regexp.h regmagic.h string_version.h
CSRCS = regerror.c regsub.c EST_strcasecmp.c
TSRCS = 
CPPSRCS = EST_String.cc EST_Regex.cc EST_Chunk.cc regexp.cc

LOCAL_DEFAULT_LIBRARY = eststring

SRCS = $(CPPSRCS) $(CSRCS)
OBJS = $(CPPSRCS:.cc=.o) $(CSRCS:.c=.o)

FILES = $(SRCS) $(TSRCS) $(H) Makefile
LOCAL_INCLUDES=-I.

ALL = .buildlibs

include $(TOP)/config/common_make_rules

=== config/rules/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                                                                       ##
##  Makefile for config directory                                        ##
##                                                                       ##
###########################################################################

DIRNAME=config/rules

TOP=../..

RULESETS = compile_options.mak defaults.mak library.mak make_depend.mak \
	rcs.mak rules.mak targets.mak modules.mak \
	config_errors.mak visual_c.mak c.mak java.mak \
	bin_process.mak install.mak top_level.mak doc.mak \
	common_make_rules.mak test_make_rules.mak cvs.mak \
	build_dir.mak

SCRIPTS = script_process.awk make_depend.awk modules.sh build_tree.sh

FILES = Makefile $(SCRIPTS) $(RULESETS) 

include $(TOP)/config/common_make_rules

=== config/systems/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                                                                       ##
##  Makefile for config directory                                        ##
##                                                                       ##
###########################################################################
TOP=../..
DIRNAME=config/systems

SYSTEMS =					\
	Linux.mak				\
	RedHatLinux.mak				\
	DebianGNULinux.mak			\
	alpha_Linux.mak				\
	alpha_OSF1V4.0.mak			\
	alpha_RedHatLinux.mak			\
	hp9000_HP-UX.mak			\
	hp9000_HP-UXB.10.mak			\
	ip_IRIX.mak				\
	ip_IRIX5.3.mak				\
	ip_IRIX6.3.mak				\
	ip_IRIX6.4.mak				\
	ip_IRIX646.4.mak			\
	ix86_CYGWIN1.0.mak			\
	ix86_CYGWIN1.1.mak			\
	ix86_CYGWIN1.3.mak                      \
	ix86_CYGWIN1.4.mak                      \
	ix86_CYGWIN1.5.mak			\
	ix86_CYGWIN1.7.mak			\
	ix86_CYGWIN20.1.mak			\
	ix86_CYGWIN32.mak			\
	ix86_CYGWIN324.0.mak			\
	ix86_Darwin.mak			\
	ix86_FreeBSD.mak			\
	ix86_FreeBSD2.1.mak			\
	ix86_FreeBSD2.2.mak			\
	ix86_FreeBSD3.0.mak			\
	ix86_FreeBSD3.1.mak			\
	ix86_FreeBSD3.2.mak			\
	ix86_FreeBSD3.3.mak			\
	ix86_FreeBSD4.0.mak			\
	ix86_OS22.mak				\
	ix86_RedHatLinux4.0.mak			\
	ix86_RedHatLinux4.1.mak			\
	ix86_RedHatLinux4.2.mak			\
	ix86_RedHatLinux5.0.mak			\
	ix86_RedHatLinux5.1.mak			\
	ix86_RedHatLinux5.2.mak			\
	ix86_RedHatLinux6.0.mak			\
	ix86_RedHatLinux6.1.mak			\
	ix86_RedHatLinux6.2.mak			\
	ix86_RedHatLinux7.0.mak			\
	ix86_SunOS5.5.mak			\
	ix86_SunOS5.6.mak			\
	ix86_SunOS5.7.mak			\
	ix86_SunOS5.8.mak			\
	ix86_SunOS5.mak				\
	rs6000_AIX4.1.mak			\
	sparc_SunOS4.1.mak			\
	sparc_SunOS4.mak			\
	sparc_SunOS5.5.mak			\
	sparc_SunOS5.6.mak			\
	sparc_SunOS5.7.mak			\
	sparc_SunOS5.8.mak			\
	sparc_SunOS5.9.mak			\
	sparc_SunOS5.mak			\
	sparc_unknown.mak			\
	unknown_DebianGNULinux.mak		\
	unknown_Linux.mak			\
	unknown_RedHatLinux.mak			\
        power_macintosh_Darwin.mak              \
	unknown_unknown.mak			\
	x86_64_Darwin.mak


FILES = Makefile default.mak $(SYSTEMS) 

include $(TOP)/config/common_make_rules

=== include/sigpr/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                   Include Directory Makefile                          ##
###########################################################################

TOP=../..
DIRNAME=include/sigpr
H = EST_filter.h EST_fft.h EST_pitchmark.h \
	EST_Window.h EST_sigpr_frame.h \
	EST_sigpr_utt.h EST_misc_sigpr.h EST_spectrogram.h \
	EST_filter_design.h


FILES = Makefile $(H)
INSTALL = install_incs

include $(TOP)/config/common_make_rules

install_incs:
	mkdir -p $(INCDIR)/EST/
	cp -p *.h $(INCDIR)/EST/

=== include/win32/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                   Include Directory Makefile                          ##
###########################################################################
TOP=../..
DIRNAME=include/win32

H = EST_defines_win32.h EST_socket_win32.h  EST_iostream_win32.h  EST_unix_win32.h

FILES = Makefile $(H)
INSTALL = install_incs

include $(TOP)/config/common_make_rules

install_incs:
	mkdir -p $(INCDIR)/EST/
	cp -p *.h $(INCDIR)/EST/

=== java/basic_version/Makefile ===

###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################

TOP=../..
DIRNAME=java/basic_version

FILES = Makefile Makefile.version
BUILD_DIRS=cstr
NEED_JAVA=true

ALL =  .sub_directories .javalib

include $(TOP)/config/common_make_rules
-include Makefile.version

=== debian/changelog ===
speech-tools (1:2.4~release-6) unstable; urgency=medium

  * Use canonical anonscm vcs URL.
  * control: Update maintainer mailing list.
  * control: Remove libaudiofile-dev build-dependency, now
    unused. Closes: Bug#857667
  * patches/gcc-6: Do not hardcode gcc version. Closes: Bug#871089
  * control: Bump Standards-Version to 4.1.1 (no change)
  * rules: Remove reference to former -dbg packages.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Oct 2017 17:34:44 +0200

speech-tools (1:2.4~release-5) unstable; urgency=medium

  * patches/timestamp: Really fix reproducibility by forcing C locale date.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 03 Oct 2016 20:21:34 +0200

speech-tools (1:2.4~release-4) unstable; urgency=medium

  * patches/timestamp: Fix reproducibility by forcing C locale date.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 02 Oct 2016 14:31:09 +0200

speech-tools (1:2.4~release-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 3.9.8 (no change)
  * patches/gcc-6: Add -fno-delete-null-pointer-checks option since
    speech-tools assumes 'this' can be NULL.

  [ Chris Lamb ]
  * patches/timestamp: Fix reproducible build. Closes: Bug#831583

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Sep 2016 19:00:30 +0200

speech-tools (1:2.4~release-2) unstable; urgency=medium

  * control: Remove conflict/replace libestools1.2c102, speech-tools1: the
    latter has never been in Debian, the former does not actually conflict
    with the current package.
  * control: Drop multiarch-support pre-depend.
  * rules: Split override_dh_auto_install into override_dh_auto_install-arch
    and override_dh_auto_install-indep. Closes: #806110
  * rules: Set ddeb-migration.
  * control: Depend on debhelper 9.20150628 for ddeb-migration.
  * patches/timestamp: Use SOURCE_DATE_EPOCH for build timestamp.
  * control: Bump Standards-Version to 3.9.7 (no change).
  * rules: Pass -n to gzip to avoid timestamp in gzipped manual.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Feb 2016 01:10:56 +0100

speech-tools (1:2.4~release-1) unstable; urgency=medium

  [ Sergio Oller ]
  * New upstream version 2.4-release
    - Rename libestools2.1 into 2.4 accordingly.
    - Rename libestools2.1-dev into libestools-dev.
  * Removed README.source (Not needed)

  [ Samuel Thibault ]
  * control: Set maintainer to debian-accessibility team.  Add myself as
    uploader.
  * watch: Generalize URL.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 May 2015 18:09:43 +0200

speech-tools (1:2.1~release-8) unstable; urgency=medium

  [ Samuel Thibault ]
  * Team upload.

  [ Sergio Oller ]
  * Use dh with debian/compat=9 for hardening
     - Drop Build-depends: hardening-wrapper
     - Honor CFLAGS, CXXFLAGS, LDFLAGS
     - Use dh --with autoreconf
  * Add patch wrong-default-declaration.diff by Alexander to be able to
    build with clang. Closes: #756335

 -- Samuel Thibault <sthibault@debian.org>  Fri, 22 Aug 2014 02:21:54 +0200

speech-tools (1:2.1~release-7) unstable; urgency=low

  [ Samuel Thibault ]
  * Team upload.
  * rules: Remove config/config on clean.
  * Bump Standards-Version to 3.9.5 (no changes).
  * patches/doc-doc.diff: Fix build when libestools is not installed yet.
  * rules: Do not install refman.pdf, it does not build.

  [ Sergio Oller ]
  * EST_Tokenstream: Add support to read from istream to reduce
    Festival HTS disk input/output usage.
  * Add several methods to EST_WaveFile and EST_Wave to write waves
    by parts (header and data separately) in order improve text2wave
    performance in festival package on long texts.
  * rules: dh_auto_clean must depend on dh_auto_configure to clean safely.
  * Check fread worked when loading files: (Closes: #715728, #716618,
    #716578, #716193, #716464)
  * Build -dbg packages.
  * Build speech-tools-doc package.
  * Allow "-pc LONGEST" in ch_wave. (LP: #723854)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 20 Apr 2014 02:44:41 +0200

=== debian/control ===
Source: speech-tools
Section: sound
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
Uploaders: Jean-Philippe MENGUAL <texou@accelibreinfo.eu>, Kumar Appaiah <akumar@debian.org>, Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 9.20150628),
               dh-autoreconf,
               gawk | awk,
               libncurses5-dev,
               quilt (>= 0.40),
               libpulse-dev,
               libasound2-dev [linux-any],
               xsltproc,
               doxygen,
               doxygen-latex,
               graphviz
Standards-Version: 4.1.1
Homepage: http://festvox.org/packed/festival/
Vcs-Git: https://anonscm.debian.org/git/tts/speech-tools.git
Vcs-Browser: https://anonscm.debian.org/git/tts/speech-tools.git

Package: libestools2.4
Architecture: any
Multi-arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Edinburgh Speech Tools Library
 The Edinburgh Speech Tools Library is a collection of C++ class, functions and
 related programs for manipulating the sorts of objects used in speech
 processing.

Package: libestools-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libc6-dev,
         libestools2.4 (= ${binary:Version}),
         libasound2-dev [linux-any],
         libncurses5-dev
Conflicts: speech-tools-dev, libestools2.1-dev, libestools2.0-dev, libestools1.2-dev
Replaces: speech-tools-dev, libestools2.1-dev, libestools2.0-dev, libestools1.2-dev
Provides: libestools-dev, libestools2.1-dev, libestools2.0-dev
Suggests: speech-tools-doc
Description: Edinburgh Speech Tools Library - developer's libraries
 The Edinburgh Speech Tools Library is a collection of C++ class, functions and
 related programs for manipulating the sorts of objects used in speech
 processing.
 .
 This package contains the header files and static libraries.

Package: speech-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Conflicts: speech-tools-bin
Replaces: speech-tools-bin
Suggests: speech-tools-doc
Description: Edinburgh Speech Tools - user binaries
 This package contains the various highly useful utility programs that use and
 accompany the Edinburgh Speech Tools Library. Audio software and some basic
 signal processing software is included in this package.
 .
 The following programs are available:
 na_play: generic playback program for use with net_audio and CSTR ao.
 ch_wave: Waveform file conversion program.
 ch_lab: label file conversion program.
 ch_track: Track file conversion program.
 wagon: a CART tree build and test program
 .
 See /usr/share/doc/speech-tools/README for detail list of programs available.

Package: speech-tools-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${doxygen:Depends}, doc-base (>= 0.8.4)
Built-Using: ${doxygen:Built-Using}
Description: Documentation for the Edinburgh Speech Tools
 This package contains the HTML and Postscript versions of the
 documentation for the Edinburgh Speech Tools.
 .
 Documentation also contains examples and tutorials on how to use Speech
 Tools library with your programs.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

MAJORVER=$(shell sh ./debian/get_version.sh|awk '{print $$2}')
FULLVER=$(shell sh ./debian/get_version.sh|awk '{print $$1}')
DEBVER=$(shell dpkg-parsechangelog |awk '/^Version/ { print $$2}')

SBT := $(shell pwd)/debian/speech-tools
SBTM:= $(SBT)/usr/share/man/man1

S_PROGRAMS = bcat ch_lab ch_track ch_utt ch_wave dp na_play na_record ngram_build \
	ngram_test ols ols_test pda pitchmark scfg_make scfg_parse scfg_test \
	scfg_train sig2fv sigfilter spectgen tilt_analysis tilt_synthesis \
	viterbi wagon wagon_test wfst_build wfst_run
S_DOC = na_play na_record ch_wave ch_utt ch_track ch_lab
S_UNDOC = bcat dp ngram_build \
	ngram_test ols ols_test pda pitchmark scfg_make scfg_parse scfg_test \
	scfg_train sig2fv sigfilter spectgen tilt_analysis tilt_synthesis \
	viterbi wagon wagon_test wfst_build wfst_run make_wagon_desc \
	raw_to_xgraph resynth simple-pitchmark

S_SCRIPTS = raw_to_xgraph.prl make_wagon_desc.sh resynth.sh

override_dh_auto_configure:
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	dh_auto_configure

override_dh_strip:
	dh_strip -pspeech-tools --ddeb-migration='speech-tools-dbg (<< 1:2.4~release-2~)'
	dh_strip -plibestools2.4 --ddeb-migration='libestools2.4-dbg (<< 1:2.4~release-2~)'

override_dh_auto_test:
#Upstream states test is only for their local development not a functional test

override_dh_auto_build:
	$(MAKE) PROJECT_VERSION=$(shell dpkg-parsechangelog|grep "Version:"|sed 's/^.*://;s/~.*$$//') PROJECT_MAJOR_VERSION=$(MAJORVER)
	(cd doc && $(MAKE) doc PROJECT_VERSION=$(shell dpkg-parsechangelog|grep "Version:"|sed 's/^.*://;s/~.*$$//') PROJECT_MAJOR_VERSION=$(MAJORVER) )

override_dh_auto_clean:
	dh_autoreconf_clean
	dh_autoreconf
	debian/rules override_dh_auto_configure
	$(MAKE) clean NO_DEPEND=1 SYSTEM_TYPE=unknown_DebianGNULinux
	dh_autoreconf_clean


override_dh_clean:
	find -name make.depend -print0 | xargs -0r $(RM)
	find -name make.include -print0 | xargs -0r $(RM)
	find bin/ \( -name SCCS -o -name RCS -o -name CVS \) -prune \
	     -o -type f ! -name Makefile -print0 | xargs -0r $(RM)
	$(RM) config/modincludes.inc config/system.mak config.log \
	      config.status config.cache libestools.so
	$(RM) lib/libestools.so*
	$(RM) config.sub config.guess
	$(RM) -rf doc/doxygen doc/man/*.dox
	dh_clean
	$(RM) config/config config/user_flags.mak

override_dh_auto_install-arch:
	dh_install -p libestools$(MAJORVER) lib/*.so.$(FULLVER) /usr/lib/$(DEB_HOST_MULTIARCH)

	dh_installdirs -p speech-tools usr/bin usr/share/man/man1
	(cd main && cp $(S_PROGRAMS) $(SBT)/usr/bin)
	(cd scripts && \
		for i in $(S_SCRIPTS); do \
			dest=`echo $$i | sed -e 's/\.\(prl\|sh\)$$//'`; \
			sed -e 's,__PERL__,/usr/bin/perl,g' \
				<$$i >$(SBT)/usr/bin/$$dest; \
			chmod +x $(SBT)/usr/bin/$$dest; \
		done)
	# Handle the install of pm which is renamed simple-pitchmark separately.
	(cd scripts && \
			sed -e 's,__PERL__,/usr/bin/perl,g' \
				<pm.prl >$(SBT)/usr/bin/simple-pitchmark; \
			chmod +x $(SBT)/usr/bin/simple-pitchmark;)

	dh_install -p libestools-dev lib/*.a /usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p libestools-dev include/*.h /usr/include/speech_tools/
	dh_install -p libestools-dev include/unix/*.h /usr/include/speech_tools/unix/
	# Note: these are possibly internal headers (C++ lossage)
	dh_install -p libestools-dev include/instantiate/*.h /usr/include/speech_tools/instantiate/
	dh_install -p libestools-dev include/sigpr/*.h /usr/include/speech_tools/sigpr/
	dh_install -p libestools-dev include/ling_class/*.h /usr/include/speech_tools/ling_class/
	dh_install -p libestools-dev include/rxp/*.h /usr/include/speech_tools/rxp/
	dh_install -p libestools-dev base_class/*.h /usr/include/speech_tools/
	dh_install -p libestools-dev base_class/*.cc /usr/include/speech_tools/base_class/
	# Needed to compile things against speech_tools
	dh_install -p libestools-dev make.include /usr/lib/speech_tools/
	dh_install -p libestools-dev lib/siod/*.scm /usr/lib/speech_tools/lib/siod/
	dh_install -p libestools-dev config/* /usr/lib/speech_tools/config/
	dh_install -p libestools-dev config/compilers/* /usr/lib/speech_tools/config/compilers/
	dh_install -p libestools-dev config/configs/* /usr/lib/speech_tools/config/configs/
	dh_install -p libestools-dev config/modules/* /usr/lib/speech_tools/config/modules/
	dh_install -p libestools-dev config/rules/* /usr/lib/speech_tools/config/rules/
	dh_install -p libestools-dev config/systems/* /usr/lib/speech_tools/config/systems/

	chmod +x debian/libestools-dev/usr/lib/speech_tools/config/rules/modules.sh
	chmod +x debian/libestools-dev/usr/lib/speech_tools/config/system.sh

override_dh_auto_install-indep:
	# speech-tools-doc package:
	dh_install -p speech-tools-doc doc/doxygen/html/* usr/share/doc/speech-tools-doc/doc/
	#dh_install -p speech-tools-doc doc/doxygen/latex/refman.pdf usr/share/doc/speech-tools-doc/
	debian/dh_doxygen -p speech-tools-doc usr/share/doc/speech-tools-doc/doc/

override_dh_link: 
	dh_link -p libestools$(MAJORVER) \
		usr/lib/$(DEB_HOST_MULTIARCH)/libestbase.so.$(FULLVER) usr/lib/$(DEB_HOST_MULTIARCH)/libestbase.so.$(MAJORVER) \
		usr/lib/$(DEB_HOST_MULTIARCH)/libestools.so.$(FULLVER) usr/lib/$(DEB_HOST_MULTIARCH)/libestools.so.$(MAJORVER) \
		usr/lib/$(DEB_HOST_MULTIARCH)/libeststring.so.$(FULLVER) usr/lib/$(DEB_HOST_MULTIARCH)/libeststring.so.$(MAJORVER)
	dh_link -p libestools-dev \
		usr/lib/$(DEB_HOST_MULTIARCH)/libestbase.so.$(MAJORVER)   usr/lib/$(DEB_HOST_MULTIARCH)/libestbase.so \
		usr/lib/$(DEB_HOST_MULTIARCH)/libestools.so.$(MAJORVER)   usr/lib/$(DEB_HOST_MULTIARCH)/libestools.so \
		usr/lib/$(DEB_HOST_MULTIARCH)/libeststring.so.$(MAJORVER) usr/lib/$(DEB_HOST_MULTIARCH)/libeststring.so
	# Festival related evil
	dh_link -p libestools-dev \
		/usr/lib/$(DEB_HOST_MULTIARCH)/libestbase.so    /usr/lib/speech_tools/lib/libestbase.so \
		/usr/lib/$(DEB_HOST_MULTIARCH)/libestbase.a     /usr/lib/speech_tools/lib/libestbase.a \
		/usr/lib/$(DEB_HOST_MULTIARCH)/libeststring.so  /usr/lib/speech_tools/lib/libeststring.so \
		/usr/lib/$(DEB_HOST_MULTIARCH)/libeststring.a   /usr/lib/speech_tools/lib/libeststring.a \
		/usr/lib/$(DEB_HOST_MULTIARCH)/libestools.so    /usr/lib/speech_tools/lib/libestools.so \
		/usr/lib/$(DEB_HOST_MULTIARCH)/libestools.a     /usr/lib/speech_tools/lib/libestools.a \
		/usr/include/speech_tools /usr/lib/speech_tools/include
	# Compatibility with past packages
	dh_link -p libestools-dev /usr/include/speech_tools /usr/include/estools

override_dh_installdocs:
	dh_installdocs -pspeech-tools -plibestools$(MAJORVER) -plibestools-dev README
	dh_installdocs -pspeech-tools-doc

override_dh_installman:
	mkdir -p $(SBTM)
	install -m 0644 $(patsubst %,debian/%.1,$(S_DOC)) $(SBTM)
	install -m 0644 debian/manpage.1 $(SBTM)/speech-tools.1
	gzip -9n $(SBTM)/speech-tools.1
	for f in $(S_UNDOC) ; do ln -sf speech-tools.1.gz $(SBTM)/$$f.1.gz ; done

override_dh_makeshlibs:	
	dh_makeshlibs -p libestools$(MAJORVER) -V "libestools$(MAJORVER) (>= $(DEBVER))"

override_dh_shlibsdeps:	
	# speech_tools should not depend on itself
	dh_shlibdeps -plibestools$(MAJORVER) -l debian/libestools$(MAJORVER)/usr/lib
	# these ones should depend on speech_tools (and associated libs)
	dh_shlibdeps -pspeech-tools -Llibestools$(MAJORVER) -l debian/libestools$(MAJORVER)/usr/lib

%:
	dh $@ --with autoreconf
#
